---
title: Add SSH Keys
url: https://docs.vultr.com/products/orchestration/ssh-keys/add-ssh-keys
description: Learn how to add and manage SSH keys to your Vultr account for secure, password-free server access
publish_date: 2024-11-15T18:19:45.584401Z
last_updated: 2026-05-26T20:19:00.341577Z
---

# How to Add Vultr SSH Keys

A Vultr account Secure Shell (SSH) key authenticates and establishes a secure connection between a client application like Putty or Filezilla and cloud compute instances. SSH keys are more secure than passwords because they're long, complex, and less prone to brute-force attacks.

Follow this guide to add SSH keys using the Vultr Console, API, or CLI.

=== "Vultr Console"

    1. Navigate to **Account** and select **SSH Keys** under **OTHER**.
    1. Click **Add SSH Key**.

        ![Add SSH Key](https://docs.vultr.com/public/doc-assets/collection-items/912/65f2a16d-495b-434e-ae8f-2a728405f054.png)

    1. Enter the SSH Key details and click **Add SSH Key**.

        ![SSH Key Details](https://docs.vultr.com/public/doc-assets/collection-items/912/6d69cb5a-1f06-411a-86ea-75f47739da8f.png)
    
=== "Vultr API"

    1. Send a `POST` request to the [**Create SSH key** endpoint](https://www.vultr.com/api/#tag/ssh/operation/create-ssh-key) to create an SSH key.

        ```console
        $ curl "https://api.vultr.com/v2/ssh-keys" \
            -X POST \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "name" : "{ssh_key_name}",
                "ssh_key" : "{ssh_public_key_value} {email_address}"
            }'       
        ```

        Visit the [**Create SSH key** endpoint](https://www.vultr.com/api/#tag/ssh/operation/create-ssh-key) to view additional attributes to add to your request.

    1. Send a `GET` request to the [**List SSH Keys** endpoint](https://www.vultr.com/api/#tag/ssh/operation/list-ssh-keys) to view all SSH keys.

        ```console
        $ curl "https://api.vultr.com/v2/ssh-keys" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

=== "Vultr CLI"

    1. Create a new SSH Key.

        ```console
        $ vultr-cli ssh-keys create \
        --name="<ssh_key_name>" \
        --key="<ssh_public_key_value> <email_address>"
        ```

        Run `vultr-cli ssh-keys create --help` to view additional available options.

    1. List all SSH keys.

        ```console
        $ vultr-cli ssh-keys list
        ```